import { PickerFileMetadata } from 'filestack-js';
import { HeaderBlock, TextBlock } from '@parlor/common';
import { IContentModule } from './types';
export declare const getFormFieldPath: <T = IContentModule.FormValues.ContentValue>(path: string, fieldName: keyof T & string) => string;
export declare const getQuillToolbarContainerId: (id: string) => string;
export declare const generateNewContentModuleId: () => string;
export declare const generateExceptSelector: (id: string) => string;
export declare const isNewContentModule: (id: string) => boolean;
export declare const isHeaderBlock: <M extends IContentModule.FormValues.HeaderValue = IContentModule.FormValues.HeaderValue>(item: any) => item is M;
export declare function serializeHeaderBlocks<T extends Pick<HeaderBlock, 'id' | 'text' | 'headerStyle' | 'order'>>(items: T[]): IContentModule.FormValues.HeaderValue[];
export declare function serializeTextBlocks<T extends Pick<TextBlock, 'id' | 'text' | 'order'>>(items: T[]): IContentModule.FormValues.TextValue[];
export declare function serializeAttachmentBlocks(items: any): IContentModule.FormValues.ImageValue[];
export declare function serializeVideoBlocks(items: any): IContentModule.FormValues.VideoValue[];
export declare function isPickerFileMetaData(file: IContentModule.FormValues.ImageValue['attachments']): file is PickerFileMetadata;
export declare function isImageValue(value: any): value is IContentModule.FormValues.ImageValue;
